Package pygccxml :: Package declarations :: Module cpptypes :: Class fundamental_t

# type fundamental_t

source code

    object --+
             |
        type_t --+
                 |
                fundamental_t

Known Subclasses:
  - bool_t
  - , char_t
  - , complex_double_t
  - , complex_float_t
  - , complex_long_double_t
  - , double_t
  - , float_t
  - , int_t
  - , java_fundamental_t
  - , long_double_t
  - , long_int_t
  - , long_long_int_t
  - , long_long_unsigned_int_t
  - , long_unsigned_int_t
  - , short_int_t
  - , short_unsigned_int_t
  - , signed_char_t
  - , unsigned_char_t
  - , unsigned_int_t
  - , void_t
  - , wchar_t

base class for all fundamental, build-in types

Instance Methods

__init__(self, name) | source code

build_decl_string(self, with_defaults=True) | source code

Inherited from `type_t`: `__eq__`, `__lt__`, `__ne__`, `__str__`, `clone`

Properties
Inherited from `type_t`: `byte_align`, `byte_size`, `decl_string`, `partial_decl_string`

Method Details

### __init__(self, name)
(Constructor)

source code

Overrides: type_t.__init__

### build_decl_string(self, with_defaults=True)

source code

Overrides: type_t.build_decl_string